Bug 883851 - [abrt] libreoffice-core-3.5.7.2-6.fc17: SwContentTree::HasContentChanged killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.7.2-6.fc17: SwContentTree::HasContentChanged kill...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:e13673b27af851a8772fee3742b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-05 07:32 EST by nico.rikken
Modified: 2012-12-19 15:14 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-19 15:14:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (3.77 KB, text/plain)
2012-12-05 07:32 EST, nico.rikken
no flags Details
File: environ (1.71 KB, text/plain)
2012-12-05 07:32 EST, nico.rikken
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-05 07:32 EST, nico.rikken
no flags Details
File: backtrace (40.81 KB, text/plain)
2012-12-05 07:32 EST, nico.rikken
no flags Details
File: smolt_data (2.72 KB, text/plain)
2012-12-05 07:32 EST, nico.rikken
no flags Details
File: cgroup (127 bytes, text/plain)
2012-12-05 07:32 EST, nico.rikken
no flags Details
File: executable (42 bytes, text/plain)
2012-12-05 07:32 EST, nico.rikken
no flags Details
File: maps (106.38 KB, text/plain)
2012-12-05 07:32 EST, nico.rikken
no flags Details
File: dso_list (24.47 KB, text/plain)
2012-12-05 07:32 EST, nico.rikken
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2012-12-05 07:32 EST, nico.rikken
no flags Details
File: var_log_messages (343 bytes, text/plain)
2012-12-05 07:32 EST, nico.rikken
no flags Details
File: open_fds (348 bytes, text/plain)
2012-12-05 07:32 EST, nico.rikken
no flags Details

  None (edit)
Description nico.rikken 2012-12-05 07:32:29 EST
Description of problem:
I was editing a Libre Office Writer file (.odt) with some custom page styles. First two pages were 'First page', Then one page 'Index' and then a page with content in the 'default' style. I attempted to add a manuel page break (via the menu) to the Index page, with another Index style as the style for the new page. After clicking the Ok button, Writer closed.

Version-Release number of selected component:
libreoffice-core-3.5.7.2-6.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=6
crash_function: SvTreeList::IsEntryVisible
kernel:         3.6.7-4.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 SvTreeList::IsEntryVisible at /usr/src/debug/libreoffice-3.5.7.2/svtools/source/contnr/treelist.cxx:222
: #1 IsEntryVisible at /usr/src/debug/libreoffice-3.5.7.2/solver/unxlngx6.pro/inc/svtools/treelist.hxx:527
: #2 SvImpLBox::RemovingEntry at /usr/src/debug/libreoffice-3.5.7.2/svtools/source/contnr/svimpbox.cxx:1698
: #3 SvTreeListBox::ModelIsRemoving at /usr/src/debug/libreoffice-3.5.7.2/svtools/source/contnr/svtreebx.cxx:1089
: #4 SvListView::ModelNotification at /usr/src/debug/libreoffice-3.5.7.2/svtools/source/contnr/treelist.cxx:1749
: #5 SvTreeListBox::ModelNotification at /usr/src/debug/libreoffice-3.5.7.2/svtools/source/contnr/svtreebx.cxx:2206
: #6 SvTreeList::Broadcast at /usr/src/debug/libreoffice-3.5.7.2/svtools/source/contnr/treelist.cxx:190
: #7 SvTreeList::Remove at /usr/src/debug/libreoffice-3.5.7.2/svtools/source/contnr/treelist.cxx:1273
: #8 SwContentTree::HasContentChanged at /usr/src/debug/libreoffice-3.5.7.2/sw/source/ui/utlui/content.cxx:1930
: #9 SwContentTree::TimerUpdate at /usr/src/debug/libreoffice-3.5.7.2/sw/source/ui/utlui/content.cxx:2256
Comment 1 nico.rikken 2012-12-05 07:32:32 EST
Created attachment 658154 [details]
File: core_backtrace
Comment 2 nico.rikken 2012-12-05 07:32:36 EST
Created attachment 658155 [details]
File: environ
Comment 3 nico.rikken 2012-12-05 07:32:40 EST
Created attachment 658156 [details]
File: limits
Comment 4 nico.rikken 2012-12-05 07:32:42 EST
Created attachment 658157 [details]
File: backtrace
Comment 5 nico.rikken 2012-12-05 07:32:44 EST
Created attachment 658158 [details]
File: smolt_data
Comment 6 nico.rikken 2012-12-05 07:32:46 EST
Created attachment 658159 [details]
File: cgroup
Comment 7 nico.rikken 2012-12-05 07:32:48 EST
Created attachment 658160 [details]
File: executable
Comment 8 nico.rikken 2012-12-05 07:32:51 EST
Created attachment 658161 [details]
File: maps
Comment 9 nico.rikken 2012-12-05 07:32:53 EST
Created attachment 658162 [details]
File: dso_list
Comment 10 nico.rikken 2012-12-05 07:32:55 EST
Created attachment 658163 [details]
File: proc_pid_status
Comment 11 nico.rikken 2012-12-05 07:32:57 EST
Created attachment 658164 [details]
File: var_log_messages
Comment 12 nico.rikken 2012-12-05 07:32:59 EST
Created attachment 658165 [details]
File: open_fds
Comment 13 Caolan McNamara 2012-12-06 11:31:46 EST
hmm, casually trying to do something like that doesn't blow up for me. Are you able to reproduce this crash ?
Comment 14 nico.rikken 2012-12-09 05:04:16 EST
@Caolan McNamara, I've tried to repreduce this in a more simple matter, but it didn't reoccur. Presumably this error occured also due to the complexity of the document.
Comment 15 Caolan McNamara 2012-12-19 15:14:45 EST
can't reproduce it :-(

Note You need to log in before you can comment on or make changes to this bug.